1. KARLOZcr's Avatar
    Hello there...

    I'm running iOS 4.3.3 on my iPhone 3Gs

    When I tried to access the modmyi repo in order to purchase Celeste it says the following:

    Unable to Purchase

    This product requires iPhone OS 2-3-4 (012).

    What does it means?
    2011-06-14 02:21 AM
  2. Warrior89's Avatar
    Same problem
    2011-06-14 03:24 AM
  3. Jeff Cheung's Avatar
    Download iFile app from Cydia and modify SystemVersion.Plist file on your iDevice:

    Location: /System/Library/CoreServices/SystemVersion.plist

    Before Editing SystemVersion.Plist:
    ProductBuildVersion >8G4< or >8H7< or >8J2<
    ProductVersion >4.3.1< or >4.3.2< or >4.3.3<

    After Editing SystemVersion.Plist:
    ProductBuildVersion >8C148<
    ProductVersion >4.2.1<

    After changing the ProductBuildVersion and ProductVersion in SystemVersion.plist file, reboot your iDevice. After rebooting, Purchase and install Celeste Bluetooth File Sharing app through ModMyi repo.

    After that go back to iFile App and undo the changes, reboot and enjoy.
    2011-06-14 03:41 AM
  4. MEBobola's Avatar
    Download iFile app from Cydia and modify SystemVersion.Plist file on your iDevice:

    Location: /System/Library/CoreServices/SystemVersion.plist

    Before Editing SystemVersion.Plist:
    ProductBuildVersion >8G4< or >8H7< or >8J2<
    ProductVersion >4.3.1< or >4.3.2< or >4.3.3<

    After Editing SystemVersion.Plist:
    ProductBuildVersion >8C148<
    ProductVersion >4.2.1<

    After changing the ProductBuildVersion and ProductVersion in SystemVersion.plist file, reboot your iDevice. After rebooting, Purchase and install Celeste Bluetooth File Sharing app through ModMyi repo.

    After that go back to iFile App and undo the changes, reboot and enjoy.
    Thanks,
    This worked perfectly and even solved some of the issues that I was having with my theme (G.O.C. HD).

    Matt
    2011-06-15 02:27 PM
  5. Biofax's Avatar
    I purchased celeste a few months ago when i was on 4.2.1 but since i updated to 4.3.3 couldn't install. Now that i saw this new version im triyng to install it changing the 8J2, and 4.3.3 to 4.2.1 with ifile but it keeps getting the "purchase" icon... it doesnt appear the Install icon. Does anybody knows how can i fix it?

    Thanks!!
    2011-06-15 11:13 PM
  6. azraeil's Avatar
    Why do WE have to go through this process? It cost 10 bucks and I was thinking of buying it to pair with my N8 but having to go through this iFile process is annoying to say the least.

    Does it officially work with 4.3.3 or not? If it doesn't then it's a no go for me.
    2011-06-16 05:02 PM
LINK TO POST COPIED TO CLIPBOARD